Intercepts HTTP requests and handles some specified requests internally. Provides a backend that can handle requests for certain data items.

### Hierarchy

- MockBackendInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- intercept

## Constructors

### constructor

- new MockBackendInterceptor(): MockBackendInterceptor

- #### Returns MockBackendInterceptor

## Methods

### intercept

- intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>

- Implementation of HttpInterceptor.intercept

  - Defined in src/app/_helpers/mock-backend.ts:936

  Intercepts HTTP requests.

  #### Parameters

  - ##### request: HttpRequest<any>

    An outgoing HTTP request with an optional typed body.

  - ##### next: HttpHandler

    The next HTTP handler or the outgoing request dispatcher.

  #### Returns Observable<HttpEvent<any>>

  The response from the resolved request.

Generated using TypeDoc